Subject: Re: [PATCH v15 07/13] ref-filter: add support for %(contents:lines=X)

From: Junio C Hamano <[email-masked]>
Date: Thu, 03 Sep 2015 09:27:54 -0700

Eric Sunshine <[email-masked]> writes:

> Also, if 'buf' is indeed unconditionally NUL-terminated, then the (sp
> <= buf + size) check is wasted code since the result of strstr() will
> always be either NULL or pointing somewhere within the NUL-terminated
> string.

A caller can give a buf that is NUL terminated but specify that the
only early part of the buffer to be used by giving you a shorter
size, no?  In such a case, strstr() is safe in the sense that it is
guaranteed not to go on forever, but you need to verify the location
of the string it found is within the bounds.